/*
exampleMenuItemSource = function (selector) {
    if ($(selector).attr('id') == 'IdcDT') {
        return [
                {
                    header: 'Example Dynamic'
                },
                {
                    text: 'PNG',
                    action: function(e, selector) { alert('PNG clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
                },
                {
                    text: 'JPG',
                    action: function(e, selector) { alert('JPG clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
                },
                {   divider: true   },
                {
                    icon: 'glyphicon-list-alt',
                    text: 'Dynamic nested',
                    subMenu : [
                    {
                        text: 'More dynamic',
                        action: function(e, selector) { alert('More dynamic clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
                    },
                    {
                        text: 'And more...',
                        action: function(e, selector) { alert('And more... clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
                    }
                    ]
                }
            ]
    } else {
        return [
                {
                    icon: 'glyphicon-exclamation-sign',
                    text: 'No image types supported!'
                }
            ]
    }
}
*/

ExamsListMenu = [
    {
        header: ''
    },
    {
        img: 'SubFW/bmp/view_blue_48.png',
        text: 'Open in PACS',
        action: function(e, selector) { OnELDisplayInPACS() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/examrequest_blue.png',
        text: 'Exam request...',
        action: function(e, selector) { OnELExamRequest() }
    },
	{
        img: 'SubFW/bmp/print_blue.png',
        text: 'Print...',
        action: function(e, selector) { OnELPrint() }
    },
	{
        img: 'SubFW/bmp/ElectronicSend.png',
        text: 'Electronic sending...',
        action: function(e, selector) { OnELElectronicSend() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/report_to_check.png',
        text: 'Report to review...',
        action: function(e, selector) { OnELReportToReview() }
    },
    {
        img: 'SubFW/bmp/report_validate.png',
        text: 'Validate the report',
        action: function(e, selector) { OnELValidateReport() }
    },
    {
        img: 'SubFW/bmp/report_edit.png',
        text: 'Report...',
        action: function(e, selector) { OnELReport() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/invoice_blue.png',
        text: 'Invoice...',
        action: function(e, selector) { OnELInvoice() }
    },
    {
        img: 'SubFW/bmp/payement_blue.png',
        text: 'Payment...',
        action: function(e, selector) { OnELPayment() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/Comment.png',
        text: 'Comment...',
		action: function(e, selector) { OnELComment() }
    },
    {
        img: 'SubFW/bmp/merge_visit.png',
        text: 'Merge...',
        // action: function(e, selector) { alert('Edit clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
		action: function(e, selector) { OnELMerge() }
    },
    {
        img: 'SubFW/bmp/edit_blue.png',
        text: 'Edit...',
		action: function(e, selector) { OnELEdit() }
    },
    {
        img: 'SubFW/bmp/trash.png',
        text: 'Delete...',
        action: function(e, selector) { OnELDelete() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/status.png',
        text: 'Status...',
        action: function(e, selector) { OnELStatus() }
    },
	{
		divider: true
    },
    {
        img: 'SubFW/bmp/high_priority.png',
        text: 'High priority',
        action: function(e, selector) { OnELHighPriority() }
    },
    {
        img: 'SubFW/bmp/normal_priority.png',
        text: 'Normal priority',
        action: function(e, selector) { OnELNormalPriority() }
    },
	{
		divider: true
    },
	{
        img: 'SubFW/bmp/setup_1_blue.png',
        text: 'Grid properties...',
        action: function(e, selector) { OnELGridProperties() }
    }
];




RFVisitsListMenu = [
    {
        header: ''
    },
	{
        img: 'SubFW/bmp/setup_1_blue.png',
        text: 'Grid properties...',
        action: function(e, selector) { OnRFVisitsGridProperties() }
    }
];

ReportHistoListMenu = [
    {
        header: ''
    },
	{
        img: 'SubFW/bmp/setup_1_blue.png',
        text: 'Grid properties...',
        action: function(e, selector) { OnReportHistoGridProperties() }
    }
];










TestMenu = [
    {
        header: ''
    },
    {
        img: 'Bmp/view_blue_48.png',
        text: 'Open in PACS',
        action: function(e, selector) { OnELDisplayInPACS() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/examrequest_blue.png',
        text: 'Exam request...',
        action: function(e, selector) { OnELExamRequest() }
    },
	{
        img: 'Bmp/print_blue.png',
        text: 'Print...',
        action: function(e, selector) { OnELPrint() }
    },
	{
        img: 'Bmp/ElectronicSend.png',
        text: 'Electronic sending...',
        action: function(e, selector) { OnELElectronicSend() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/report_to_check.png',
        text: 'Report to review...',
        action: function(e, selector) { OnELReportToReview() }
    },
    {
        img: 'Bmp/report_validate.png',
        text: 'Validate the report',
        action: function(e, selector) { OnELValidateReport() }
    },
    {
        img: 'Bmp/report_edit.png',
        text: 'Report...',
        action: function(e, selector) { OnELReport() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/invoice_blue.png',
        text: 'Invoice...',
        action: function(e, selector) { OnELInvoice() }
    },
    {
        img: 'Bmp/payement_blue.png',
        text: 'Payment...',
        action: function(e, selector) { OnELPayment() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/Comment.png',
        text: 'Comment...',
		action: function(e, selector) { OnELComment() }
    },
    {
        img: 'Bmp/merge_visit.png',
        text: 'Merge...',
        // action: function(e, selector) { alert('Edit clicked on ' + selector.prop("tagName") + ":" + selector.attr("id")); }
		action: function(e, selector) { OnELMerge() }
    },
    {
        img: 'Bmp/edit_blue.png',
        text: 'Edit...',
		action: function(e, selector) { OnELEdit() }
    },
    {
        img: 'SubFW/bmp/trash.png',
        text: 'Delete...',
        action: function(e, selector) { OnELDelete() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/status.png',
        text: 'Status...',
        action: function(e, selector) { OnELStatus() }
    },
	{
		divider: true
    },
    {
        img: 'Bmp/high_priority.png',
        text: 'High priority',
        action: function(e, selector) { OnELHighPriority() }
    },
    {
        img: 'Bmp/normal_priority.png',
        text: 'Normal priority',
        action: function(e, selector) { OnELNormalPriority() }
    }
];
